﻿$ErrorActionPreference = 'Stop'

$packageName = $env:ChocolateyPackageName
$url32       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.2.2/doxybook2-windows-win32-v1.2.2.zip'
$url64       = 'https://github.com/matusnovak/doxybook2/releases/download/v1.2.2/doxybook2-windows-win64-v1.2.2.zip'
$checksum32  = '6b70b2625097a53a19857034cc3e6b88c719681ff2f22e4d625c87e5436729d1'
$checksum64  = '3876f81c29c899d7d3226f3f91509fa3972efd7b92c3b501ad8eeaf06d073b27'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'ZIP'
  url            = $url32
  url64Bit       = $url64
  checksum       = $checksum32
  checksum64     = $checksum64
  checksumType   = 'sha256'
  checksumType64 = 'sha256'
  unzipLocation  = Split-Path $MyInvocation.MyCommand.Definition
  validExitCodes = @(0)
}
Install-ChocolateyZipPackage @packageArgs
